Connect a chain
POST
/api/crm/v2/connection_to_chains.addv2 operationId:
connectionToChains.addCreates a connection between two chains using the token of the second chain. If type_action=connect_to_parent_chain, the current chain becomes a child; if it has its own applications, the request is rejected. If type_action=connect_child_chain, the current chain becomes the parent for another chain. The child chain's commission rates (mobile apps, social networks, websites) are synchronized with the parent chain's rates; its own unlimited plan reset date and free period are cleared.
Authorization
api-token + language + role
Query parameters
chain_idintegerrequired
Example: 1
Request body application/json
object
tokenstringrequired
Network key
Example: 64199cfbb10d48eede8218037564b8a3
type_actionstringrequired
Values:connect_child_chainconnect_to_parent_chain
Responses
OK
object (Response)
statusstringrequired
Values:successerror
Example: success
One of the options
object
Error details
errorobjectrequired
codeintegerrequired
Error code
variablesobject
descriptionstringrequired
Error description